import _extends from "@babel/runtime/helpers/esm/extends";
import _objectWithoutProperties from "@babel/runtime/helpers/esm/objectWithoutProperties";
import React from "react";
import { Balloon } from "@alicloudfe/components";
import cls from "classnames";

var BDesignBalloon = function BDesignBalloon(props) {
  var className = props.className,
      _props$closable = props.closable,
      closable = _props$closable === void 0 ? false : _props$closable,
      rest = _objectWithoutProperties(props, ["className", "closable"]);

  return /*#__PURE__*/React.createElement(Balloon, _extends({
    className: cls(className, {}),
    closable: closable
  }, rest));
};

BDesignBalloon.Tooltip = Balloon.Tooltip;
export default BDesignBalloon;